@import url("https://fonts.googleapis.com/css2?family=Ubuntu:wght@300;400;500;700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "Ubuntu", sans-serif;
}

header {
  width: 100%;
  height: 100vh;
  background-image: url("../assets/bg-header.webp");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  display: flex;
  align-items: center;
  justify-content: center;
  background-attachment: fixed;
}

.nav__container {
  width: 100%;
  background-color: #361c38;
  color: #f3f3f3;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 100;
}

.nav__wrapper {
  max-width: 1200px;
  margin: 0 auto;
  padding: 16px;
  display: flex;
  justify-content: space-between;
}

/* #check:checked ~ nav {
  display: flex;
} */

.nav__wrapper a:link,
.nav__wrapper a:visited {
  color: #f3f3f3;
  text-decoration: none;
  font-weight: 400;
  font-size: 1rem;
  padding-bottom: 8px;
  border-bottom: 1px solid transparent;
}

.nav__wrapper a:hover {
  border-bottom: 1px solid #f3f3f3;
  transition: border-bottom 0.5s ease-in-out;
}

nav a {
  margin-right: 1rem;
}

.nav__lang a {
  margin-left: 1rem;
}

.active {
  border-bottom: 1px solid #f3f3f3 !important;
}

#check {
  display: none;
}

.icons {
  cursor: pointer;
  display: none;
}

/* slider */
.container_slider {
  max-width: 1200px;
  overflow: hidden;
  position: relative;
}

.slider_btn {
  position: absolute;
  width: 40px;
  height: 40px;
  top: 50%;
  transform: translateY(-50%);
  font-size: 30px;
  font-weight: 700;
  text-align: center;
  border-radius: 50%;
  cursor: pointer;

  color: #f3f3f3;
}

.slider_btn--right {
  right: 0px;
}

.slider {
  height: 400px;
  width: 300%;
  display: flex;
  margin-left: -100%;
}

.slider_img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* about */

.about {
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-image: url("../assets/bg_about.webp");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.about__wrapper {
  max-width: 1200px;
  margin: 0 auto;
  padding: 24px 16px;
  display: flex;
  flex-direction: row;
  /* background-color: lightgoldenrodyellow; */
  align-items: center;
}

.about__img img {
  max-width: 100%;
}

.about__img--mobile img {
  max-width: 100%;
  display: none;
}

.about__text {
  max-width: 500px;
  padding: 24px 16px;
}

.section__title {
  font-size: 2rem;
  color: #643168;
  padding-bottom: 16px;
}

.section__text {
  padding-bottom: 24px;
  color: #f3f3f3;
  font-weight: 300;
  line-height: 1.5rem;
  text-align: justify;
}

.section__btn {
  background-color: #643168;
  padding: 12px 24px;
  border-radius: 4px;
  color: #f3f3f3;
  text-decoration: none;
  margin-right: 16px;
}

.section__btn:hover {
  color: #643168;
  background-color: #f3f3f3;
  transition: background-color 0.5s ease;
  cursor: pointer;
}

/* fin about */

/* history */

.history,
.mujer,
.defensa,
.investigacion,
.aprendizajes {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 100;
  width: 100%;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.9);
  display: none;
  justify-content: center;
  align-items: center;
  color: #f3f3f3;
  backdrop-filter: blur(5px);
}

.history--show,
.mujer--show,
.defensa--show,
.investigacion--show,
.aprendizajes--show {
  display: flex !important;
}

.history__wrapper,
.mujer__wrapper,
.defensa__wrapper,
.investigacion__wrapper,
.aprendizajes__wrapper {
  max-width: 1200px;
  max-height: auto;
  overflow-y: auto;
  padding: 48px;
  transform: translateY(-100%);
}

.history__wrapper--show,
.mujer__wrapper--show,
.defensa__wrapper--show,
.investigacion__wrapper--show,
.aprendizajes__wrapper--show {
  transform: translateY(0) !important;
  transition: transform 0.3s ease-in-out;
}

.history__title--wrapper,
.mujer__title--wrapper,
.defensa__title--wrapper,
.investigacion__title--wrapper,
.aprendizajes__title--wrapper {
  display: flex;
  justify-content: space-between;
  padding: 16px 0;
}

.history__close--icon,
.mujer__close--icon,
.defensa__close--icon,
.investigacion__close--icon,
.aprendizajes__close--icon {
  font-size: 1.5rem;
  cursor: pointer;
}

.history__text p,
.mujer__text p,
.defensa__text p,
.investigacion__text p,
.aprendizajes__text p {
  padding: 8px 0;
  line-height: 1.2rem;
  font-weight: 300;
  text-align: justify;
}

/* fin history */

/*  equipa */
.equipa {
  width: 100%;
  min-height: 100vh;
  max-height: auto;
  background-image: url("../assets/bg_equipa.webp");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
  padding: 60px 0;
}

.equipa__container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 16px;
}

.card__container {
  width: 100%;
  background-color: rgba(0, 0, 0, 0.1);
  padding: 24px 16px;
  border-radius: 8px;
  display: flex;
  flex-direction: row;
  margin: 24px 0;
  justify-content: space-between;
  align-items: center;
}

.card__info {
  max-width: 870px;
}

.card__name {
  font-size: 1.5rem;
  font-weight: 700;
  padding-bottom: 8px;
  color: #643168;
}

.card__puesto {
  font-size: 1.2rem;
  font-weight: 500;
  padding-bottom: 8px;
  color: #666;
}

.card__text {
  font-size: 1rem;
  font-weight: 300;
  line-height: 1.3rem;
  text-align: justify;
  padding-bottom: 16px;
}

.card__contacto {
  font-size: 1rem;
  font-weight: 500;
  color: #643168;
}

.card__img {
  width: 250px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.card__img img {
  max-width: 200px;
  height: 200px;
  border-radius: 50%;
  border: 5px solid #f3f3f3;
  background-color: rgba(0, 0, 0, 0.1);
}

.card__container--right {
  flex-direction: row-reverse;
  padding-left: 24px;
}

.card__container--left {
  padding-right: 24px;
}

/*
 fin equipa */

/* Lineas de acción */

.lineas {
  width: 100%;
  min-height: 100vh;
  max-height: auto;
  background-image: url("../assets/bg_lineas.webp");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  padding: 60px 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.lineas__container {
  width: 1200px;
  margin: 0 auto;
  padding: 0 16px;
}

.lineas__title h2 {
  font-size: 2rem;
  font-weight: 500;
  color: #f3f3f3;
  padding-bottom: 24px;
  text-align: center;
}

.card__container--lineas {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 16px;
}

.card {
  color: #333;
  background-color: #f3f3f3;
  border-radius: 8px;
}

.card__img--lineas {
  border-radius: 8px;
}

.card__img--lineas img {
  width: 100%;
  border-radius: 8px 8px 0 0;
  overflow: hidden;
}

.card__title {
  background-color: #f3f3f3;
  padding: 16px 16px 0 16px;
  font-weight: 500;
}

.card__intro {
  padding: 16px;
}

.leermas {
  padding: 16px;

  display: flex;
  justify-content: flex-end;
}

.leermas a:link,
.leermas a:visited {
  text-decoration: none;
  padding: 8px 16px;
  border: 1px solid #643168;
  border-radius: 6px;
  font-size: 1rem;
}

.leermas a:hover {
  background-color: #643168;
  color: #f3f3f3;
}

/* FIN Lineas de acción */

/* objetivo */
.objetivo {
  width: 100%;
  min-height: 100vh;
  background-image: url("../assets/bg_mision.webp");
  background-position: center;
  background-size: cover;
  display: flex;
  align-items: center;
  justify-content: center;
}

.objetivo__container {
  width: 1200px;
  /* background-color: aquamarine; */
  padding: 24px 16px;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 16px;
  justify-content: center;
  align-items: center;
}

.objetivo__foto img {
  width: 100%;
  border-radius: 8px;
  object-fit: cover;
}
.objetivo__foto,
.objetivo__texto {
  /* border: 1px solid #ccc; */
  padding: 8px;
}

.objetivo__title {
  font-size: 1.3rem;
  color: #361c38;
  padding-bottom: 8px;
  font-weight: 500;
}

.objetivo__p {
  text-align: justify;
  color: #361c38;
}

/* fin objetivo */

/* Galeria */

.galeria__title,
.proyectos__titulo {
  font-size: 2rem;
  font-weight: 500;
  color: #361c38;
}

.proyectos__titulo {
  padding-bottom: 24px;
}

.galeria {
  width: 100%;
  min-height: 100vh;
  background-image: url("../assets/bg_equipa.webp");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.galeria__container,
.galeria__container2 {
  width: 1200px;
  /* background-color: lightblue; */
  margin: 0 auto;
  padding: 24px 16px;
  display: grid;
  justify-content: center;
}

.galeria__container {
  grid-template-columns: 150px 350px 170px 220px;
  gap: 24px;
  align-items: baseline;
}

.galeria__container2 {
  margin-top: -24px;
  justify-content: center;
  grid-template-columns: 250px 250px 250px;
  gap: 24px;
  align-items: flex-start;
}

.galeria__foto {
  border: 1px solid #ccc;
  border: 5px solid #f3f3f3;
}

.galeria__foto img {
  width: 100%;
}

/* fin Galeria */

/* Proyectos */
.proyectos {
  width: 100%;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}

#proyectosh3 {
  font-size: 2rem;
  font-weight: 500;
  color: #643168;
  padding-bottom: 24px;
}

.proyectos h2 {
  font-size: 1.5rem;
}

.proyectos__container {
  width: 1200px;
  display: grid;
  grid-template-columns: 250px 1fr 250px 1fr;
  gap: 24px;
}

.proyectos__title {
  font-size: 1.3rem;
  font-weight: 500;
  margin-bottom: 16px;
  color: #361c38;
}

.proyectos__img img {
  width: 100%;
}
/* Fin de Proyectos */

/* Paypay */
.paypal {
  background-color: #ff802c;
  padding: 48px;
}

.paypal__container {
  width: 1200px;
  margin: 0 auto;
  text-align: center;
}

.paypal__container img {
  width: 150px;
  margin-top: 24px;
}
/* fin Paypay */

/* Contacto */
.contacto {
  width: 100%;
  min-height: 100vh;
  background-image: url("../assets/bg_contacto.webp");
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.contacto__container {
  width: 1200px;
  /* background-color: lightblue; */
  display: flex;
  flex-direction: row;
  padding: 16px;
}

.contacto__datos {
  width: 40%;
}

.datos__title,
.mapa__title {
  font-size: 1.5rem;
  color: #f3f3f3;
  margin: 16px 0;
}

.contacto__phone,
.contacto__mail,
.mapa__direccion {
  color: #f3f3f3;
  margin-bottom: 8px;
}

.contacto__phone i,
.contacto__mail i {
  margin-right: 8px;
}

.datos__icons i {
  color: #f3f3f3;
  font-size: 1.7rem;
  margin-right: 16px;
}

.map iframe {
  border: 0;
}

/* Fin Contacto */

/* Aviso legal */
.aviso {
  padding: 48px;
  background-color: #643168;
  text-align: center;
}

.aviso a:link,
.aviso a:visited {
  color: #f3f3f3;
  text-decoration: none;
}
/* fin Aviso legal */

.menu__show {
  transform: translateY(0) !important;
}

.icon__show {
  display: inline-flex !important;
}

.icon__hide {
  display: none !important;
}

@media screen and (max-width: 991.98px) {
  header {
    min-height: 100svh;
    max-height: auto;
  }

  .section__title {
    font-size: 1.5rem;
  }

  .card__name {
    font-size: 1.2rem;
  }

  .card__puesto {
    font-size: 1rem;
  }

  .nav__lang a {
    margin-left: 0.8rem;
  }

  .icons {
    display: inline-flex;
  }

  .icons #icon-close {
    display: none;
  }

  .nav__wrapper nav {
    width: 100%;
    position: absolute;
    left: 0;
    top: 50px;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.5);
    gap: 1rem;
    padding: 1rem;
    backdrop-filter: blur(1px);
    transform: translateY(-120%);
    transition: transform 0.3s ease-in-out;
  }

  .about {
    min-height: 100svh;
  }

  .about__img--mobile img {
    max-width: 100%;
    display: block;
    padding-bottom: 24px;
  }

  .about__img {
    display: none;
  }

  .history__wrapper {
    height: 100svh;
    padding: 24px 16px;
  }

  .card__container {
    flex-direction: column;
  }

  .card__img {
    margin-bottom: 16px;
  }

  .lineas__container {
    width: 99vw;
  }

  .card__container--lineas {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 0;
    padding: 0;
  }

  .objetivo__container {
    grid-template-columns: 1fr;
  }

  .lineas__title h2 {
    font-size: 1.5rem;
    margin-bottom: 16px;
  }

  .galeria__container,
  .galeria__container2 {
    width: 100%;
    /* background-color: lightblue; */
    margin: 0 auto;
    padding: 24px 16px;
    display: flex;
    flex-direction: column;
  }

  .galeria__title {
    margin-top: 24px;
    font-size: 1.5rem;
  }

  .paypal__container {
    padding: 48px 16px;
    width: 100%;
  }

  .contacto__container {
    width: 100%;
    padding: 16px;
    display: flex;
    flex-direction: column;
  }

  .contacto__datos {
    width: 100%;
  }

  .map iframe {
    width: 100%;
  }

  .proyectos__container {
    padding: 16px;
    width: 100%;
    display: flex;
    flex-direction: column;
  }

  .proyectos h3 {
    margin-top: 48px;
  }
}
